### Method

# Gio AppInfo remove_supports_type

#### Declaration [src]

    gboolean
    g_app_info_remove_supports_type (
      GAppInfo* appinfo,
      const char* content_type,
      GError** error
    )

#### Description [src]

Removes a supported type from an application, if possible.

#### Parameters

`content_type`

  Type: `const char*`

  A string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.